Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.digi.config.ui
Class SerialPortServicesView

    java.lang.Object
      com.digi.config.ui.ConfigViewImpl
          com.digi.config.ui.SerialPortServicesView

All Implemented Interfaces:
  ConfigView

public class SerialPortServicesView
extends ConfigViewImpl

This class is a view panel that shows the port services available for a serial port of the Digi Connect device. This view can be embedded in other panels as desired.

Field Summary
`(package private) com.digi.config.ui.GridContentPanel` | `content` Panel that holds the view content
`(package private) int` | `MAXDESTINATIONS`
`(package private) com.digi.config.core.DeviceChangeListener` | `settingChangeListener` listens to the device for changes to kvpGroup
`(package private) javax.swing.JCheckBox` | `tcpAutoConnectEnabled_UIC`
`(package private) com.digi.config.core.KvpField` | `tcpAutoConnectEnabledKvpField`
`(package private) com.digi.config.ui.GridContentPanel` | `tcpClientContent`
`(package private) javax.swing.JRadioButton` | `tcpConnectOnAlways_UIC`
`(package private) com.digi.config.ui.GridContentPanel` | `tcpConnectOnContent`
`(package private) javax.swing.JRadioButton` | `tcpConnectOnData_UIC`
`(package private) com.digi.config.ui.GridContentPanel` | `tcpConnectOnDataContent`
`(package private) javax.swing.JTextField` | `tcpConnectOnDataPattern_UIC`
`(package private) javax.swing.JMenuItem` | `tcpConnectOnDataPatternCR_UIC`
`(package private) javax.swing.JMenuItem` | `tcpConnectOnDataPatternCRLF_UIC`
`(package private) com.digi.config.core.KvpField` | `tcpConnectOnDataPatternKvpField`
`(package private) javax.swing.JCheckBox` | `tcpConnectOnDataStripPattern_UIC`
`(package private) com.digi.config.core.KvpField` | `tcpConnectOnDataStripPatternKvpField`
`(package private) javax.swing.JRadioButton` | `tcpConnectOnDCD_UIC`
`(package private) javax.swing.JRadioButton` | `tcpConnectOnDSR_UIC`
`(package private) javax.swing.JTextField` | `tcpConnectToAddress_UIC`
`(package private) com.digi.config.core.KvpField` | `tcpConnectToAddressKvpField`
`(package private) com.digi.config.ui.GridContentPanel` | `tcpConnectToContent`
`(package private) javax.swing.JTextField` | `tcpConnectToPort_UIC`
`(package private) com.digi.config.core.KvpField` | `tcpConnectToPortKvpField`
`(package private) javax.swing.JComboBox` | `tcpConnectToProtocol_UIC`
`(package private) com.digi.config.core.KvpField` | `tcpConnectToProtocolKvpField`
`(package private) com.digi.config.core.KvpField` | `tcpConnectTriggerKvpField`
`(package private) com.digi.config.ui.GridContentPanel` | `udpClientContent`
`(package private) javax.swing.JCheckBox` | `udpClientEnabled_UIC`
`(package private) com.digi.config.core.KvpField` | `udpClientEnabledKvpField`
`(package private) com.digi.config.ui.GridContentPanel` | `udpSabContent`
`(package private) javax.swing.JCheckBox` | `udpSabEnabled_UIC`
`(package private) com.digi.config.core.KvpField` | `udpSabEnabledKvpField`
`(package private) javax.swing.JTextField` | `udpSabValue_UIC`
`(package private) com.digi.config.core.KvpField` | `udpSabValueKvpField`
`(package private) com.digi.config.ui.GridContentPanel` | `udpSatContent`
`(package private) javax.swing.JCheckBox` | `udpSatEnabled_UIC`
`(package private) com.digi.config.core.KvpField` | `udpSatEnabledKvpField`
`(package private) javax.swing.JTextField` | `udpSatValue_UIC`
`(package private) com.digi.config.core.KvpField` | `udpSatValueKvpField`
`(package private) com.digi.config.ui.GridContentPanel` | `udpSendOnContent`
`(package private) com.digi.config.ui.GridContentPanel` | `udpSendOnDataContent`
`(package private) javax.swing.JCheckBox` | `udpSendOnDataEnabled_UIC`
`(package private) com.digi.config.core.KvpField` | `udpSendOnDataEnabledKvpField`
`(package private) javax.swing.JTextField` | `udpSendOnDataPattern_UIC`
`(package private) javax.swing.JMenuItem` | `udpSendOnDataPatternCR_UIC`
`(package private) javax.swing.JMenuItem` | `udpSendOnDataPatternCRLF_UIC`
`(package private) com.digi.config.core.KvpField` | `udpSendOnDataPatternKvpField`
`(package private) javax.swing.JCheckBox` | `udpSendOnDataStripPattern_UIC`
`(package private) com.digi.config.core.KvpField` | `udpSendOnDataStripPatternKvpField`
`(package private) javax.swing.JTextField[]` | `udpSendToAddress_UIC`
`(package private) com.digi.config.core.KvpField[]` | `udpSendToAddressKvpField`
`(package private) com.digi.config.ui.GridContentPanel` | `udpSendToContent`
`(package private) javax.swing.JTextField[]` | `udpSendToDesc_UIC`
`(package private) com.digi.config.core.KvpField[]` | `udpSendToDescKvpField`
`(package private) javax.swing.JCheckBox[]` | `udpSendToEnabled_UIC`
`(package private) com.digi.config.core.KvpField[]` | `udpSendToEnabledKvpField`
`(package private) javax.swing.JTextField[]` | `udpSendToPort_UIC`
`(package private) com.digi.config.core.KvpField[]` | `udpSendToPortKvpField`
`(package private) com.digi.config.ui.GridContentPanel` | `udpSopCustomContent`
`(package private) com.digi.config.core.KvpNode` | `viewSettingTree` A KvpNode that holds just the fields used in this view

Fields inherited from class com.digi.config.ui.ConfigViewImpl
`active, cancelChangesAction, device, editView, heading, includeSettingsFields, includeStateFields, refreshAction, saveChangesAction, viewHelpAction, viewIndex`

Constructor Summary
`SerialPortServicesView()` Basic constructor.

Method Summary
`void` | `activate()` This method is called to instruct the view that it is about to be made active.
`void` | `cancelChanges()` Instructs the view to discard any changes the user has made within the view and revert those fields to the original state.
`void` | `commitChanges()` Instructs the view to consider any user changes within the view as saved to the device (ie committed).
`void` | `deactivate()` This method is called to instruct the view that it is about to be made inactive.
`void` | `getChanges(com.digi.config.core.KvpNode settingCluster, com.digi.config.core.KvpNode stateCluster)` This method instructs the view to place any changes the user has made within the view into the provided clusters.
`java.lang.String` | `getName()` Returns a one word name identifying this view.
`java.awt.Component` | `getViewContent()` Return the Component that displays the primary content for this view
`boolean` | `isChanged()` Indicates if any changes have been made by the user that have not yet been saved to the device(ie committed).
`void` | `setDevice(com.digi.config.core.Device device)` Informs view what device to work with.
`void` | `setViewIndex(int primaryIndex)` Informs view to use the specified primary index in selecting the data to display in the view.
`void` | `validateChanges(java.util.Collection errorList)` This method instructs the view to validate any of the changes the user has made within the view.

Methods inherited from class com.digi.config.ui.ConfigViewImpl
`createEmailDocument, createGeneralDocument, createIntegerDocument, createNetworkAddressDocument, doCancelChangesAction, doRefreshAction, doSaveChangesAction, doViewHelpAction, getHelpResource, getViewButtons, getViewHeading, initializeActions, setIncludeSettingsFields, setIncludeStateFields`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### viewSettingTree

    com.digi.config.core.KvpNode viewSettingTree

  A KvpNode that holds just the fields used in this view

### settingChangeListener

    com.digi.config.core.DeviceChangeListener settingChangeListener

  listens to the device for changes to kvpGroup

### content

    com.digi.config.ui.GridContentPanel content

  Panel that holds the view content

### tcpClientContent

    com.digi.config.ui.GridContentPanel tcpClientContent

### tcpConnectOnContent

    com.digi.config.ui.GridContentPanel tcpConnectOnContent

### tcpConnectOnDataContent

    com.digi.config.ui.GridContentPanel tcpConnectOnDataContent

### tcpConnectToContent

    com.digi.config.ui.GridContentPanel tcpConnectToContent

### udpClientContent

    com.digi.config.ui.GridContentPanel udpClientContent

### udpSendOnContent

    com.digi.config.ui.GridContentPanel udpSendOnContent

### udpSendOnDataContent

    com.digi.config.ui.GridContentPanel udpSendOnDataContent

### udpSopCustomContent

    com.digi.config.ui.GridContentPanel udpSopCustomContent

### udpSatContent

    com.digi.config.ui.GridContentPanel udpSatContent

### udpSabContent

    com.digi.config.ui.GridContentPanel udpSabContent

### udpSendToContent

    com.digi.config.ui.GridContentPanel udpSendToContent

### MAXDESTINATIONS

    int MAXDESTINATIONS

### tcpAutoConnectEnabledKvpField

    com.digi.config.core.KvpField tcpAutoConnectEnabledKvpField

### tcpConnectTriggerKvpField

    com.digi.config.core.KvpField tcpConnectTriggerKvpField

### tcpConnectOnDataPatternKvpField

    com.digi.config.core.KvpField tcpConnectOnDataPatternKvpField

### tcpConnectOnDataStripPatternKvpField

    com.digi.config.core.KvpField tcpConnectOnDataStripPatternKvpField

### tcpConnectToAddressKvpField

    com.digi.config.core.KvpField tcpConnectToAddressKvpField

### tcpConnectToProtocolKvpField

    com.digi.config.core.KvpField tcpConnectToProtocolKvpField

### tcpConnectToPortKvpField

    com.digi.config.core.KvpField tcpConnectToPortKvpField

### udpClientEnabledKvpField

    com.digi.config.core.KvpField udpClientEnabledKvpField

### udpSendToEnabledKvpField

    com.digi.config.core.KvpField[] udpSendToEnabledKvpField

### udpSendToAddressKvpField

    com.digi.config.core.KvpField[] udpSendToAddressKvpField

### udpSendToPortKvpField

    com.digi.config.core.KvpField[] udpSendToPortKvpField

### udpSendToDescKvpField

    com.digi.config.core.KvpField[] udpSendToDescKvpField

### udpSendOnDataEnabledKvpField

    com.digi.config.core.KvpField udpSendOnDataEnabledKvpField

### udpSendOnDataPatternKvpField

    com.digi.config.core.KvpField udpSendOnDataPatternKvpField

### udpSendOnDataStripPatternKvpField

    com.digi.config.core.KvpField udpSendOnDataStripPatternKvpField

### udpSatEnabledKvpField

    com.digi.config.core.KvpField udpSatEnabledKvpField

### udpSatValueKvpField

    com.digi.config.core.KvpField udpSatValueKvpField

### udpSabEnabledKvpField

    com.digi.config.core.KvpField udpSabEnabledKvpField

### udpSabValueKvpField

    com.digi.config.core.KvpField udpSabValueKvpField

### tcpAutoConnectEnabled_UIC

    javax.swing.JCheckBox tcpAutoConnectEnabled_UIC

### tcpConnectOnAlways_UIC

    javax.swing.JRadioButton tcpConnectOnAlways_UIC

### tcpConnectOnData_UIC

    javax.swing.JRadioButton tcpConnectOnData_UIC

### tcpConnectOnDSR_UIC

    javax.swing.JRadioButton tcpConnectOnDSR_UIC

### tcpConnectOnDCD_UIC

    javax.swing.JRadioButton tcpConnectOnDCD_UIC

### tcpConnectOnDataPattern_UIC

    javax.swing.JTextField tcpConnectOnDataPattern_UIC

### tcpConnectOnDataPatternCR_UIC

    javax.swing.JMenuItem tcpConnectOnDataPatternCR_UIC

### tcpConnectOnDataPatternCRLF_UIC

    javax.swing.JMenuItem tcpConnectOnDataPatternCRLF_UIC

### tcpConnectOnDataStripPattern_UIC

    javax.swing.JCheckBox tcpConnectOnDataStripPattern_UIC

### tcpConnectToAddress_UIC

    javax.swing.JTextField tcpConnectToAddress_UIC

### tcpConnectToProtocol_UIC

    javax.swing.JComboBox tcpConnectToProtocol_UIC

### tcpConnectToPort_UIC

    javax.swing.JTextField tcpConnectToPort_UIC

### udpClientEnabled_UIC

    javax.swing.JCheckBox udpClientEnabled_UIC

### udpSendToEnabled_UIC

    javax.swing.JCheckBox[] udpSendToEnabled_UIC

### udpSendToAddress_UIC

    javax.swing.JTextField[] udpSendToAddress_UIC

### udpSendToPort_UIC

    javax.swing.JTextField[] udpSendToPort_UIC

### udpSendToDesc_UIC

    javax.swing.JTextField[] udpSendToDesc_UIC

### udpSendOnDataEnabled_UIC

    javax.swing.JCheckBox udpSendOnDataEnabled_UIC

### udpSendOnDataPattern_UIC

    javax.swing.JTextField udpSendOnDataPattern_UIC

### udpSendOnDataPatternCR_UIC

    javax.swing.JMenuItem udpSendOnDataPatternCR_UIC

### udpSendOnDataPatternCRLF_UIC

    javax.swing.JMenuItem udpSendOnDataPatternCRLF_UIC

### udpSendOnDataStripPattern_UIC

    javax.swing.JCheckBox udpSendOnDataStripPattern_UIC

### udpSatEnabled_UIC

    javax.swing.JCheckBox udpSatEnabled_UIC

### udpSatValue_UIC

    javax.swing.JTextField udpSatValue_UIC

### udpSabEnabled_UIC

    javax.swing.JCheckBox udpSabEnabled_UIC

### udpSabValue_UIC

    javax.swing.JTextField udpSabValue_UIC

Constructor Detail

### SerialPortServicesView

    public SerialPortServicesView()
                           throws java.lang.Exception

  Basic constructor. Sets up the tree view and the edit panel.

Method Detail

### getName

    public java.lang.String getName()

  Returns a one word name identifying this view.

### getViewContent

    public java.awt.Component getViewContent()

  Return the Component that displays the primary content for this view

### setDevice

    public void setDevice(com.digi.config.core.Device device)

  Informs view what device to work with. View should flush any cached device data and mark current view content as invalid so that it is refreshed appropriatly.

  Specified by:
    `setDevice` in interface `ConfigView`
  Overrides:
    `setDevice` in class `ConfigViewImpl`

### setViewIndex

    public void setViewIndex(int primaryIndex)

  Informs view to use the specified primary index in selecting the data to display in the view. Not all views will support indexed viewing and it is up to each view to define what the index is based upon.

  An example of an indexed view would be the SerialBasicView. This view is indexed off the port # whose data is to be displayed in the view. An external control in the SerialView lets the user select the port to view and then that view instructs the SerialBasicView to use the selected port number as it's ViewIndex. Other views could use the index to base their view off other integer keys such as Alarm#, Destination#,etc...

  Views that do not support indexing can simply ignore this call.

  Specified by:
    `setViewIndex` in interface `ConfigView`
  Overrides:
    `setViewIndex` in class `ConfigViewImpl`

### activate

    public void activate()

  This method is called to instruct the view that it is about to be made active. When a view is active it needs to make sure its content is correct. An example of why a panel may be inactive is if it were on a tabbed pane and was not currently visible or if the user selected some other view.

  Specified by:
    `activate` in interface `ConfigView`
  Overrides:
    `activate` in class `ConfigViewImpl`

### deactivate

    public void deactivate()

  This method is called to instruct the view that it is about to be made inactive. When a view is inactive, it does not need to worry about maintaining its content in a correct state. An example of why a panel may be inactive is if it were on a tabbed pane and was not currently visible or if the user selected some other view.

  Specified by:
    `deactivate` in interface `ConfigView`
  Overrides:
    `deactivate` in class `ConfigViewImpl`

### isChanged

    public boolean isChanged()

  Indicates if any changes have been made by the user that have not yet been saved to the device(ie committed).

### validateChanges

    public void validateChanges(java.util.Collection errorList)

  This method instructs the view to validate any of the changes the user has made within the view. Any errors are to be added to the provided errorList.

  Specified by:
    `validateChanges` in interface `ConfigView`
  Overrides:
    `validateChanges` in class `ConfigViewImpl`
  Parameters:
    `errorList` - is a collection of ViewValidationError objects

### getChanges

    public void getChanges(com.digi.config.core.KvpNode settingCluster,
                           com.digi.config.core.KvpNode stateCluster)

  This method instructs the view to place any changes the user has made within the view into the provided clusters. Once the changes have been saved to to the device, a subsequent call to commitChanges() will be made.

### commitChanges

    public void commitChanges()

  Instructs the view to consider any user changes within the view as saved to the device (ie committed).

### cancelChanges

    public void cancelChanges()

  Instructs the view to discard any changes the user has made within the view and revert those fields to the original state. The view is also free to refresh all its fields to the present cached state of the device at this time.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2002 Digi International. All Rights Reserved.